summaryrefslogtreecommitdiff
path: root/dev-vcs
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-01-29 20:25:27 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-01-29 20:25:27 +0200
commit358fbae422c849e651cba6a2350892e8cabfe0a6 (patch)
tree0ca431e2bac88cd34c82c3256ef43f5b4b502954 /dev-vcs
parent433b36ce514958e91bea81b11e255f8e29600eb5 (diff)
Added GUI for git tools
Diffstat (limited to 'dev-vcs')
-rw-r--r--dev-vcs/git-gui-tools/Manifest4
-rw-r--r--dev-vcs/git-gui-tools/git-gui-tools-2.2.1.ebuild217
-rw-r--r--dev-vcs/git-gui-tools/git-gui-tools-2.2.2.ebuild205
3 files changed, 426 insertions, 0 deletions
diff --git a/dev-vcs/git-gui-tools/Manifest b/dev-vcs/git-gui-tools/Manifest
new file mode 100644
index 00000000..c23930b5
--- /dev/null
+++ b/dev-vcs/git-gui-tools/Manifest
@@ -0,0 +1,4 @@
+DIST git-2.2.1-Gentoo-patches.tar.gz 3808 SHA256 170d06c861e8ab18d8c25743291dec60afcd0abea6e2b3b32563dba98134d874 SHA512 50941f35b0aa85b3bdded2367fb71113525280b137d8bfd25bd7a04986237136ee50ade5fa61b747937a3d7f7689d38998c215ca2a17c84232bfacca0aec6696 WHIRLPOOL 7224129460a2b98a0fd3c9cc4e38737d2d53f47e590fc688f77f4b19cd46b2dd8c2aeffa65a0df664eb677ec4b95d503d472cbb20c2306cbd0986cf2a09173bd
+DIST git-2.2.1.tar.xz 3590808 SHA256 09422dc9a0bdddf6bdd5b8634c71e1ed3125256c47424e6a2687701e764ef450 SHA512 66bccfa617d2c8e2e61e5aac9b8daef9d4dc151b85906af252cadef3306ecf792ad6d7869deb149f0d04f6e7c3e9f71119bfeece5690e61782fb357e5384027b WHIRLPOOL f288d0227f3ad3045fd7dcc7a7fa6e68cb29c3a4d363d6648aa4f09aa5742a4496c67d63d0ad120a1f8f9420b9ae30930b8ffb3229f176cf429f8b8c8a1d06e6
+DIST git-2.2.2-Gentoo-patches.tar.gz 4605 SHA256 70613dd13269a919069deadda91e157928d4ea9ff3b3e54d7755552610275cd0 SHA512 cd7b27108a0cb9449c90c063d7506ae28004d95bc3379542adf77cd135345b591383b264398ede5d7ce946dca01cd064d30688ec6143588d969a1f9dfc896c8c WHIRLPOOL 1ecffa35d78eadda38a517f9c3b1e177e8a84541cabeba95ab670dfa9d8ada9a7f7817c592bd80e9e0b5993549d9e9c2c3325b2eda07a60164679b3048b1d403
+DIST git-2.2.2.tar.xz 3592264 SHA256 aa6d2efcc0c7bb9b9edc6d56d90921706b833972f1d2abe70f71be7838f22d05 SHA512 e3ca6f40de04ed940f521fff4c7e92446e40ad1627acc5b4c090ebf114dcf279d4b1f3efe1189ffa43192fce412165621fc12ea90e2f7d02a6a9ccda655dc69b WHIRLPOOL 9e20def83bbb9b11cb5982fc5f19b09767657ff80f02a237dff6ddaddd3209b4cfb9288bec1b6dc80c6a6db1869cfcaa90e2374279012fc8215771c1a58a1fc2
diff --git a/dev-vcs/git-gui-tools/git-gui-tools-2.2.1.ebuild b/dev-vcs/git-gui-tools/git-gui-tools-2.2.1.ebuild
new file mode 100644
index 00000000..7f09bede
--- /dev/null
+++ b/dev-vcs/git-gui-tools/git-gui-tools-2.2.1.ebuild
@@ -0,0 +1,217 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+# split ebuild providing only ->>> gitk, gitview, git-gui, git-citool
+
+GENTOO_DEPEND_ON_PERL=no
+
+# bug #329479: git-remote-testgit is not multiple-version aware
+PYTHON_COMPAT=( python2_{6,7} )
+[[ ${PV} == *9999 ]] && SCM="git-2"
+EGIT_REPO_URI="git://git.kernel.org/pub/scm/git/git.git"
+EGIT_MASTER=pu
+
+SAB_PATCHES_SRC=( "mirror://sabayon/dev-vcs/git/git-2.2.1-Gentoo-patches.tar.gz" )
+inherit sab-patches toolchain-funcs eutils python-single-r1 ${SCM}
+
+MY_PV="${PV/_rc/.rc}"
+MY_PV="${MY_PV/-gui-tools}"
+MY_P="${PN}-${MY_PV}"
+MY_P="${MY_P/-gui-tools}"
+
+DESCRIPTION="GUI tools derived from git: gitk, git-gui and gitview"
+HOMEPAGE="http://www.git-scm.com/"
+if [[ ${PV} != *9999 ]]; then
+ SRC_URI_SUFFIX="xz"
+ SRC_URI_GOOG="http://git-core.googlecode.com/files"
+ SRC_URI_KORG="mirror://kernel/software/scm/git"
+ SRC_URI+=" ${SRC_URI_GOOG}/${MY_P}.tar.${SRC_URI_SUFFIX}
+ ${SRC_URI_KORG}/${MY_P}.tar.${SRC_URI_SUFFIX}"
+ KEYWORDS="~amd64 ~x86"
+else
+ #SRC_URI=""
+ KEYWORDS=""
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+# Common to both DEPEND and RDEPEND
+CDEPEND="
+ sys-libs/zlib
+ dev-lang/tk"
+
+RDEPEND="${CDEPEND}
+ ~dev-vcs/git-${PV}
+ dev-vcs/git[-gtk]
+ dev-vcs/git[-tk]
+ dev-vcs/git[python]
+ >=dev-python/pygtk-2.8[${PYTHON_USEDEP}]
+ >=dev-python/pygtksourceview-2.10.1-r1:2[${PYTHON_USEDEP}]
+ ${PYTHON_DEPS}"
+
+DEPEND="${CDEPEND}
+ app-arch/cpio
+ "
+
+SITEFILE=50${PN}-gentoo.el
+S="${WORKDIR}/${MY_P}"
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+"
+
+pkg_setup() {
+ #if use python ; then
+ python-single-r1_pkg_setup
+ #fi
+}
+
+# This is needed because for some obscure reasons future calls to make don't
+# pick up these exports if we export them in src_unpack()
+exportmakeopts() {
+ local myopts
+
+ myopts="${myopts} NO_EXPAT=YesPlease"
+ myopts="${myopts} NO_CURL=YesPlease"
+ # broken assumptions, because of broken build system ...
+ myopts="${myopts} NO_FINK=YesPlease NO_DARWIN_PORTS=YesPlease"
+ myopts="${myopts} INSTALL=install TAR=tar"
+ myopts="${myopts} SHELL_PATH=${EPREFIX}/bin/sh"
+ myopts="${myopts} SANE_TOOL_PATH="
+ myopts="${myopts} OLD_ICONV="
+ myopts="${myopts} NO_EXTERNAL_GREP="
+
+ # split ebuild: avoid collisions with dev-vcs/git's .mo files
+ myopts="${myopts} NO_GETTEXT=YesPlease"
+
+ # can't define this to null, since the entire makefile depends on it
+ sed -i -e '/\/usr\/local/s/BASIC_/#BASIC_/' Makefile
+
+ #use nls \
+ # || myopts="${myopts} NO_GETTEXT=YesPlease"
+ # use tk \
+ # || myopts="${myopts} NO_TCLTK=YesPlease"
+ #use perl \
+ # && myopts="${myopts} INSTALLDIRS=vendor" \
+ # || myopts="${myopts} NO_PERL=YesPlease"
+ myopts="${myopts} NO_PERL=YesPlease"
+ #use python \
+ # || myopts="${myopts} NO_PYTHON=YesPlease"
+
+ # Bug 290465:
+ # builtin-fetch-pack.c:816: error: 'struct stat' has no member named 'st_mtim'
+ [[ "${CHOST}" == *-uclibc* ]] && \
+ myopts="${myopts} NO_NSEC=YesPlease"
+
+ export MY_MAKEOPTS="${myopts}"
+}
+
+src_unpack() {
+ if [[ ${PV} != *9999 ]]; then
+ unpack ${MY_P}.tar.${SRC_URI_SUFFIX}
+ cd "${S}"
+ else
+ git-2_src_unpack
+ cd "${S}"
+ #cp "${FILESDIR}"/GIT-VERSION-GEN .
+ fi
+
+ sab-patches_unpack
+}
+
+src_prepare() {
+ # see the git ebuild for the list of patches
+ sab-patches_apply_all
+
+ epatch_user
+
+ sed -i \
+ -e 's:^\(CFLAGS[[:space:]]*=\).*$:\1 $(OPTCFLAGS) -Wall:' \
+ -e 's:^\(LDFLAGS[[:space:]]*=\).*$:\1 $(OPTLDFLAGS):' \
+ -e 's:^\(CC[[:space:]]* =\).*$:\1$(OPTCC):' \
+ -e 's:^\(AR[[:space:]]* =\).*$:\1$(OPTAR):' \
+ -e "s:\(PYTHON_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
+ -e "s:\(PERL_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
+ Makefile contrib/svn-fe/Makefile || die "sed failed"
+
+ # Never install the private copy of Error.pm (bug #296310)
+ sed -i \
+ -e '/private-Error.pm/s,^,#,' \
+ perl/Makefile.PL
+}
+
+git_emake() {
+ PYTHON_PATH="${PYTHON}"
+ emake ${MY_MAKEOPTS} \
+ DESTDIR="${D}" \
+ OPTCFLAGS="${CFLAGS}" \
+ OPTLDFLAGS="${LDFLAGS}" \
+ OPTCC="$(tc-getCC)" \
+ OPTAR="$(tc-getAR)" \
+ prefix="${EPREFIX}"/usr \
+ htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
+ sysconfdir="${EPREFIX}"/etc \
+ PYTHON_PATH="${PYTHON_PATH}" \
+ PERL_MM_OPT="" \
+ GIT_TEST_OPTS="--no-color" \
+ V=1 \
+ "$@"
+}
+
+src_configure() {
+ exportmakeopts
+}
+
+src_compile() {
+ git_emake || die "emake failed"
+}
+
+src_install() {
+ git_emake \
+ install || \
+ die "make install failed"
+
+ #if use python && use gtk ; then
+ python_doscript "${S}"/contrib/gitview/gitview
+ dodoc "${S}"/contrib/gitview/gitview.txt
+ #fi
+
+ #find "${ED}"/usr/lib64/perl5/ \
+ # -name .packlist \
+ # -exec rm \{\} \;
+
+ rm -r "${ED}"usr/share/git-core || die
+ rm -r "${ED}"usr/libexec/git-core/mergetools || die
+
+ local myfile
+
+ # be sure not to remove tools' lib/python-exec/*
+ for myfile in "${ED}"usr/lib*/python*; do
+ if [[ ! ${myfile} = */python-exec ]]; then
+ rm -r "${myfile}" || die "rm ${myfile} failed"
+ fi
+ done
+
+ for myfile in "${ED}"usr/bin/*; do
+ case "$myfile" in
+ */gitview*|*/gitk*)
+ true ;;
+ *)
+ rm -f "$myfile" ;;
+ esac
+ done
+
+ for myfile in "${ED}"usr/libexec/git-core/*; do
+ case "$myfile" in
+ */git-gui|*/git-gui--askpass|*/git-citool)
+ true ;;
+ *)
+ rm -f "$myfile" ;;
+ esac
+ done
+}
diff --git a/dev-vcs/git-gui-tools/git-gui-tools-2.2.2.ebuild b/dev-vcs/git-gui-tools/git-gui-tools-2.2.2.ebuild
new file mode 100644
index 00000000..10964377
--- /dev/null
+++ b/dev-vcs/git-gui-tools/git-gui-tools-2.2.2.ebuild
@@ -0,0 +1,205 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+# split ebuild providing only ->>> gitk, gitview, git-gui, git-citool
+
+GENTOO_DEPEND_ON_PERL=no
+
+# bug #329479: git-remote-testgit is not multiple-version aware
+PYTHON_COMPAT=( python2_{6,7} )
+[[ ${PV} == *9999 ]] && SCM="git-2"
+EGIT_REPO_URI="git://git.kernel.org/pub/scm/git/git.git"
+EGIT_MASTER=pu
+
+SAB_PATCHES_SRC=( "mirror://sabayon/dev-vcs/git/git-2.2.2-Gentoo-patches.tar.gz" )
+inherit sab-patches toolchain-funcs eutils python-single-r1 ${SCM}
+
+MY_PV="${PV/_rc/.rc}"
+MY_PV="${MY_PV/-gui-tools}"
+MY_P="${PN}-${MY_PV}"
+MY_P="${MY_P/-gui-tools}"
+
+DESCRIPTION="GUI tools derived from git: gitk, git-gui and gitview"
+HOMEPAGE="http://www.git-scm.com/"
+if [[ ${PV} != *9999 ]]; then
+ SRC_URI_SUFFIX="xz"
+ SRC_URI_GOOG="http://git-core.googlecode.com/files"
+ SRC_URI_KORG="mirror://kernel/software/scm/git"
+ SRC_URI+=" ${SRC_URI_GOOG}/${MY_P}.tar.${SRC_URI_SUFFIX}
+ ${SRC_URI_KORG}/${MY_P}.tar.${SRC_URI_SUFFIX}"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+# Common to both DEPEND and RDEPEND
+CDEPEND="
+ sys-libs/zlib
+ dev-lang/tk"
+
+RDEPEND="${CDEPEND}
+ ~dev-vcs/git-${PV}
+ dev-vcs/git[-gtk]
+ dev-vcs/git[-tk]
+ dev-vcs/git[python]
+ >=dev-python/pygtk-2.8[${PYTHON_USEDEP}]
+ >=dev-python/pygtksourceview-2.10.1-r1:2[${PYTHON_USEDEP}]
+ ${PYTHON_DEPS}"
+
+DEPEND="${CDEPEND}
+ app-arch/cpio
+ "
+
+SITEFILE=50${PN}-gentoo.el
+S="${WORKDIR}/${MY_P}"
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+"
+
+pkg_setup() {
+ #if use python ; then
+ python-single-r1_pkg_setup
+ #fi
+}
+
+# This is needed because for some obscure reasons future calls to make don't
+# pick up these exports if we export them in src_unpack()
+exportmakeopts() {
+ local myopts
+
+ myopts+=" NO_EXPAT=YesPlease"
+ myopts+=" NO_CURL=YesPlease"
+ # broken assumptions, because of broken build system ...
+ myopts+=" NO_FINK=YesPlease NO_DARWIN_PORTS=YesPlease"
+ myopts+=" INSTALL=install TAR=tar"
+ myopts+=" SHELL_PATH=${EPREFIX}/bin/sh"
+ myopts+=" SANE_TOOL_PATH="
+ myopts+=" OLD_ICONV="
+ myopts+=" NO_EXTERNAL_GREP="
+
+ # split ebuild: avoid collisions with dev-vcs/git's .mo files
+ myopts+=" NO_GETTEXT=YesPlease"
+
+ # can't define this to null, since the entire makefile depends on it
+ sed -i -e '/\/usr\/local/s/BASIC_/#BASIC_/' Makefile
+
+ myopts+=" NO_PERL=YesPlease"
+
+ # Bug 290465:
+ # builtin-fetch-pack.c:816: error: 'struct stat' has no member named 'st_mtim'
+ [[ "${CHOST}" == *-uclibc* ]] && \
+ myopts+=" NO_NSEC=YesPlease"
+
+ export MY_MAKEOPTS="${myopts}"
+}
+
+src_unpack() {
+ if [[ ${PV} != *9999 ]]; then
+ unpack ${MY_P}.tar.${SRC_URI_SUFFIX}
+ cd "${S}"
+ else
+ git-2_src_unpack
+ cd "${S}"
+ #cp "${FILESDIR}"/GIT-VERSION-GEN .
+ fi
+
+ sab-patches_unpack
+}
+
+src_prepare() {
+ # see the git ebuild for the list of patches
+ sab-patches_apply_all
+
+ epatch_user
+
+ sed -i \
+ -e 's:^\(CFLAGS[[:space:]]*=\).*$:\1 $(OPTCFLAGS) -Wall:' \
+ -e 's:^\(LDFLAGS[[:space:]]*=\).*$:\1 $(OPTLDFLAGS):' \
+ -e 's:^\(CC[[:space:]]* =\).*$:\1$(OPTCC):' \
+ -e 's:^\(AR[[:space:]]* =\).*$:\1$(OPTAR):' \
+ -e "s:\(PYTHON_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
+ -e "s:\(PERL_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
+ Makefile contrib/svn-fe/Makefile || die "sed failed"
+
+ # Never install the private copy of Error.pm (bug #296310)
+ sed -i \
+ -e '/private-Error.pm/s,^,#,' \
+ perl/Makefile.PL
+}
+
+git_emake() {
+ PYTHON_PATH="${PYTHON}"
+ emake ${MY_MAKEOPTS} \
+ DESTDIR="${D}" \
+ OPTCFLAGS="${CFLAGS}" \
+ OPTLDFLAGS="${LDFLAGS}" \
+ OPTCC="$(tc-getCC)" \
+ OPTAR="$(tc-getAR)" \
+ prefix="${EPREFIX}"/usr \
+ htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
+ sysconfdir="${EPREFIX}"/etc \
+ PYTHON_PATH="${PYTHON_PATH}" \
+ PERL_MM_OPT="" \
+ GIT_TEST_OPTS="--no-color" \
+ V=1 \
+ "$@"
+}
+
+src_configure() {
+ exportmakeopts
+}
+
+src_compile() {
+ git_emake || die "emake failed"
+}
+
+src_install() {
+ git_emake \
+ install || \
+ die "make install failed"
+
+ #if use python && use gtk ; then
+ python_doscript "${S}"/contrib/gitview/gitview
+ dodoc "${S}"/contrib/gitview/gitview.txt
+ #fi
+
+ #find "${ED}"/usr/lib64/perl5/ \
+ # -name .packlist \
+ # -exec rm \{\} \;
+
+ rm -r "${ED}"usr/share/git-core || die
+ rm -r "${ED}"usr/libexec/git-core/mergetools || die
+
+ local myfile
+
+ # be sure not to remove tools' lib/python-exec/*
+ for myfile in "${ED}"usr/lib*/python*; do
+ if [[ ! ${myfile} = */python-exec ]]; then
+ rm -r "${myfile}" || die "rm ${myfile} failed"
+ fi
+ done
+
+ for myfile in "${ED}"usr/bin/*; do
+ case "$myfile" in
+ */gitview*|*/gitk*)
+ true ;;
+ *)
+ rm -f "$myfile" ;;
+ esac
+ done
+
+ for myfile in "${ED}"usr/libexec/git-core/*; do
+ case "$myfile" in
+ */git-gui|*/git-gui--askpass|*/git-citool)
+ true ;;
+ *)
+ rm -f "$myfile" ;;
+ esac
+ done
+}